# MorphLink

## MorphLink: Bridging Cell Morphological Behaviors and Molecular Dynamics in Multi-modal Spatial Omics

### Jing Huang, Chenyang Yuan, Jiahui Jiang, Jianfeng Chen, Sunil S. Badve, Yesim Gokmen-Polar, Rossana L. Segura, Xinmiao Yan, Alexander Lazar, Jianjun Gao, Michael Epstein, Linghua Wang,*, Jian Hu,*

MorphLink is a computational framework to systematically extract and link interpretable morphological features with molecular measurements in multi-model spatial omics analyses. The identified linkages provide a transparent depiction of cellular behaviors that drive transcriptomic heterogeneity and immune diversity across different regions within diseased tissues. Moreover, MorphLink is scalable and robust against cross-sample batch effects, making it an efficient method for integrating spatial omics data analysis across samples, cohorts, and modalities, and enhancing the interpretation of results for large-scale studies. MorphLink is applicable to various types of spatial omics data, including spatial transcriptomics (Spatial Transcriptomics, 10x Visium, 10x Xenium, and MERFISH), spatial proteomics (CODEX and IMS), and the simultaneous measurement of proteins and transcriptome (spatial CITE-seq and CosMx).
For more info, please go to: 
https://github.com/jianhuupenn/MorphLink